uniform sampler2D vertextex;
uniform sampler2D spritetex;
varying vec4 color;
varying float dist;

void main(void) {
  vec4 tex=texture2D(spritetex, gl_TexCoord[0].xy);
  gl_FragData[0] = vec4(tex.rgb*color.rgb, tex.a);
  gl_FragData[1].r = dist*0.01;
}

